/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.killa.kept;

import java.io.Serializable;

public class SerializablePerson implements Serializable {
    private static final long serialVersionUID = 6653199453495998850L;

    private String name;
    private int age;

    public String getName() {
	return this.name;
    }

    public void setName(final String name) {
	this.name = name;
    }

    public int getAge() {
	return this.age;
    }

    public void setAge(final int age) {
	this.age = age;
    }

    @Override
    public int hashCode() {
	final int prime = 31;
	int result = 1;
	result = prime * result + this.age;
	result = prime * result
		+ (this.name == null ? 0 : this.name.hashCode());
	return result;
    }

    @Override
    public boolean equals(final Object obj) {
	if (this == obj)
	    return true;
	if (obj == null)
	    return false;
	if (!(obj instanceof SerializablePerson))
	    return false;
	final SerializablePerson other = (SerializablePerson) obj;
	if (this.age != other.age)
	    return false;
	if (this.name == null) {
	    if (other.name != null)
		return false;
	} else if (!this.name.equals(other.name))
	    return false;
	return true;
    }
}
